Written by
Get HTML page preview URL
Returns a temporary URL for previewing the specified HTML page.
Request
POST
https://api.datalens.tech/rpc/getHtmlPagePreviewUrl
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"branch": "saved",
"revId": "example",
"lang": "ru",
"theme": "light"
}
|
Name |
Description |
|
entryId |
Type: string ID of the HTML page to preview. Example: |
|
branch |
Type: string HTML page branch to preview. Defaults to published. Enum: |
|
lang |
Type: string Language of the HTML page preview. Enum: |
|
revId |
Type: string ID of the HTML page revision to preview. Example: |
|
theme |
Type: string Theme of the HTML page preview. Enum: |
Responses
200 OK
Response
Body
application/json
{
"url": "example"
}
|
Name |
Description |
|
url |
Type: string Temporary URL for previewing the HTML page. Example: |